Package com.avaya.clientservices.provider.http

## Class HTTPUserConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.http.HTTPUserConfiguration

-     public class HTTPUserConfiguration
      extends java.lang.Object

  Configuration for HTTP that is specific to a user.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTTPUserConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HTTPClientConfiguration` | `getHTTPClientConfiguration()` |
    `MediaAddressMode` | `getMediaAddressMode()` | Indicates the IP address type preference to use while transporting media for HTTP calls from a dual stack client network.
    `java.util.List<MediaEncryptionType>` | `getMediaEncryptionTypeList()` |
    `MediaTransportPreference` | `getVoIPCallingPreference()` |
    `boolean` | `isEnabled()` |
    `boolean` | `isMediaTunnelingEnabled()` |
    `boolean` | `isMediaTunnelingEnforced()` |
    `boolean` | `isSrtcpEnabled()` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setHTTPClientConfiguration​(HTTPClientConfiguration httpClientConfiguration)` |
    `void` | `setMediaAddressMode​(MediaAddressMode mediaAddressMode)` | Indicates the IP address type preference to use while transporting media for HTTP calls from a dual stack client network.
    `void` | `setMediaEncryptionTypeList​(java.util.List<MediaEncryptionType> list)` |
    `void` | `setMediaTunnelingEnabled​(boolean enabled)` | A Boolean value indicating whether the Media Tunneling is allowed by the configuration.
    `void` | `setMediaTunnelingEnforced​(boolean enforced)` | Sets boolean value indicating whether the Media Tunneling is enforced by the configuration.
    `void` | `setSrtcpEnabled​(boolean enabled)` | Sets the boolean value indicating whether SRTCP encryption is enabled
    `void` | `setVoIPCallingPreference​(MediaTransportPreference voipCallingPreference)` | Sets the VoIP Calling preference.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPUserConfiguration

          public HTTPUserConfiguration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        whether the HTTP provider enabled.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### getHTTPClientConfiguration

          public HTTPClientConfiguration getHTTPClientConfiguration()

    - #### setHTTPClientConfiguration

          public void setHTTPClientConfiguration​(HTTPClientConfiguration httpClientConfiguration)

    - #### getMediaEncryptionTypeList

          public java.util.List<MediaEncryptionType> getMediaEncryptionTypeList()

      Returns:
        the list of enabled ciphersuites for SRTP

    - #### setMediaEncryptionTypeList

          public void setMediaEncryptionTypeList​(java.util.List<MediaEncryptionType> list)

    - #### isSrtcpEnabled

          public boolean isSrtcpEnabled()

      Returns:
        the boolean value indicating whether SRTCP encryption is enabled

    - #### setSrtcpEnabled

          public void setSrtcpEnabled​(boolean enabled)

      Sets the boolean value indicating whether SRTCP encryption is enabled
      Parameters:
        `enabled` - the boolean value indicating whether SRTCP encryption is enabled

    - #### getVoIPCallingPreference

          public MediaTransportPreference getVoIPCallingPreference()

      Returns:
        the VoIP Calling preference.

    - #### setVoIPCallingPreference

          public void setVoIPCallingPreference​(MediaTransportPreference voipCallingPreference)

      Sets the VoIP Calling preference.
      Parameters:
        `voipCallingPreference` - the VoIP Calling preference.

    - #### isMediaTunnelingEnabled

          public boolean isMediaTunnelingEnabled()

      Returns:
        A Boolean value indicating whether the Media Tunneling is allowed by the configuration. If media tunneling is allowed, Client SDK will try to tunnel audio/video data on ports 443/8443 upon failure of audio/video data connections on standard ports.

    - #### setMediaTunnelingEnabled

          public void setMediaTunnelingEnabled​(boolean enabled)

      A Boolean value indicating whether the Media Tunneling is allowed by the configuration. If media tunneling is allowed, Client SDK will try to tunnel audio/video data on ports 443/8443 upon failure of audio/video data connections on standard ports.
      Parameters:
        `enabled` - the value indicating whether the Media Tunneling is allowed by the configuration.

    - #### isMediaTunnelingEnforced

          public boolean isMediaTunnelingEnforced()

      Returns:
        boolean value indicating whether the Media Tunneling is enforced by the configuration. Should be used only for testing purposes.

    - #### setMediaTunnelingEnforced

          public void setMediaTunnelingEnforced​(boolean enforced)

      Sets boolean value indicating whether the Media Tunneling is enforced by the configuration. Should be used only for testing purposes.
      Parameters:
        `enforced` - the value indicating whether the Media Tunneling is enforced by the configuration.

    - #### getMediaAddressMode

          public MediaAddressMode getMediaAddressMode()

      Indicates the IP address type preference to use while transporting media for HTTP calls from a dual stack client network. Currently IPv4 and IPv6 are the valid options supported by Client SDK. IPV4THEN6 and IPV6THEN4 are internally treated as IPv4 and IPv6 respectively for HTTP calls.
      Returns:
        the Media Address Mode configured for the HTTP call.

    - #### setMediaAddressMode

          public void setMediaAddressMode​(MediaAddressMode mediaAddressMode)

      Indicates the IP address type preference to use while transporting media for HTTP calls from a dual stack client network. Currently IPV4 and IPV6 are the valid options supported by Client SDK. IPV4THEN6 and IPV6THEN4 are internally treated as IPV4 and IPV6 respectively for HTTP calls. Sets the Media Address Mode configured for the HTTP call.
      Parameters:
        `mediaAddressMode` - the Media Address Mode configured for the HTTP call.